package com.alpha.owner.ece4760;

import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.EditText;

public class ConnectListener implements OnClickListener {

    private EditText editTextAddress;
    private EditText editTextPort;
    private TCPClient client;
    private ConnectResponse delegate;

    public ConnectListener(EditText editTextAddress, EditText editTextPort, TCPClient client, ConnectResponse delegate) {
        this.editTextAddress = editTextAddress;
        this.editTextPort = editTextPort;
        this.delegate = delegate;
        this.client = client;
    }

    @Override
    public void onClick(View view) {
        this.client.setAddress(this.editTextAddress.getText().toString());
        this.client.setPort(Integer.parseInt(this.editTextPort.getText().toString()));
        new ConnectTask(this.client, this.delegate).execute();
    }
}
